/*
 * config.h
 */
#ifndef _CONFIG_H_
#define _CONFIG_H_

typedef struct _configContext {
  char * fname;
  int    linenr;
  char * name;
  char * value;
} ConfigContext;

extern int  parseConfigurationLine (char * fname,
				    int    lineNumber,
				    char * oneLine);

extern int  parseConfigurationFile (char * fname);
extern void configIntUnparsable (ConfigContext * cfg);
extern void configIntOutOfRange (ConfigContext * cfg, int min, int max);
extern void configDoubleUnparsable (ConfigContext * cfg);

extern void setConfigRangeInt (int * vp, ConfigContext * cfg);
extern void setConfigInt (int * vp, ConfigContext * cfg);
extern void setConfigDouble (double * vp, ConfigContext * cfg);
extern char * getConfigValue (ConfigContext * cfg);

#endif /* _CONFIG_H_ */
